springcloud之feign踩的大坑

2018/07/10 11:33
阅读数 70

今天写feign的demo的时候踩了一个大坑,感觉spring-cloud到处都是坑,这些坑共同的原因就是依赖包的版本问题!!!

真的气死了

之前eureka的配置也是搞了好久

------------------------------------------------------------

首先是添加了没有报错,但是运行的时候抛了nosuchemthod的异常

nosuch你妹啊

查了一下是版本的问题,结果一阵瞎捣鼓(并没有记录过程),导致的结果就是ServiceFeignApplication.java里面报错了

报错的原因是@EnableFeignClients注解不能使用,而且找不到对应的包

真的卡了超久!因为我的pom里面包都是全的!!!!

最后找到了原因,还是版本问题:我使用的是springboot版本2.0.3,springcloud版本为Finchley.RELEASE

解决方法:在pom文件中添加spring-cloud-starter-openfeign依赖包

然后就可以了

妈的气炸了

不过还是超喜欢解决问题,并不觉得烦,反而觉得很刺激嘻嘻嘻

展开阅读全文
打赏
0
0 收藏
分享
加载中
更多评论
打赏
0 评论
0 收藏
0
分享
返回顶部
顶部